package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * WireguardDetailOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class WireguardDetailOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  @JsonProperty("status")
  private Boolean status;

  @JsonProperty("mtu")
  private Integer mtu;

  @JsonProperty("listenPort")
  private Integer listenPort;

  @JsonProperty("privateKey")
  private String privateKey;

  @JsonProperty("publicKey")
  private String publicKey;

  @JsonProperty("localIp")
  private String localIp;

  public WireguardDetailOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * The ID of WireGuard VPN.
   * @return id
  */
  @ApiModelProperty(value = "The ID of WireGuard VPN.")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public WireguardDetailOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * The name of WireGuard VPN should contain 1 to 64 characters.
   * @return name
  */
  @ApiModelProperty(value = "The name of WireGuard VPN should contain 1 to 64 characters.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public WireguardDetailOpenApiVo status(Boolean status) {
    this.status = status;
    return this;
  }

  /**
   * The status of WireGuard VPN.
   * @return status
  */
  @ApiModelProperty(value = "The status of WireGuard VPN.")


  public Boolean getStatus() {
    return status;
  }

  public void setStatus(Boolean status) {
    this.status = status;
  }

  public WireguardDetailOpenApiVo mtu(Integer mtu) {
    this.mtu = mtu;
    return this;
  }

  /**
   * The MTU of WireGuard VPN should be within the range of 576-1440.
   * @return mtu
  */
  @ApiModelProperty(value = "The MTU of WireGuard VPN should be within the range of 576-1440.")


  public Integer getMtu() {
    return mtu;
  }

  public void setMtu(Integer mtu) {
    this.mtu = mtu;
  }

  public WireguardDetailOpenApiVo listenPort(Integer listenPort) {
    this.listenPort = listenPort;
    return this;
  }

  /**
   * The listening port for WireGuard VPN should be within the range of 1-65535.
   * @return listenPort
  */
  @ApiModelProperty(value = "The listening port for WireGuard VPN should be within the range of 1-65535.")


  public Integer getListenPort() {
    return listenPort;
  }

  public void setListenPort(Integer listenPort) {
    this.listenPort = listenPort;
  }

  public WireguardDetailOpenApiVo privateKey(String privateKey) {
    this.privateKey = privateKey;
    return this;
  }

  /**
   * The private key of WireGuard VPN must have 44 character of base64 and end with '='.
   * @return privateKey
  */
  @ApiModelProperty(value = "The private key of WireGuard VPN must have 44 character of base64 and end with '='.")


  public String getPrivateKey() {
    return privateKey;
  }

  public void setPrivateKey(String privateKey) {
    this.privateKey = privateKey;
  }

  public WireguardDetailOpenApiVo publicKey(String publicKey) {
    this.publicKey = publicKey;
    return this;
  }

  /**
   * The publicKey key of WireGuard VPN must have 44 character of base64 and end with '='.
   * @return publicKey
  */
  @ApiModelProperty(value = "The publicKey key of WireGuard VPN must have 44 character of base64 and end with '='.")


  public String getPublicKey() {
    return publicKey;
  }

  public void setPublicKey(String publicKey) {
    this.publicKey = publicKey;
  }

  public WireguardDetailOpenApiVo localIp(String localIp) {
    this.localIp = localIp;
    return this;
  }

  /**
   * The local IP address of WireGuard VPN.
   * @return localIp
  */
  @ApiModelProperty(value = "The local IP address of WireGuard VPN.")


  public String getLocalIp() {
    return localIp;
  }

  public void setLocalIp(String localIp) {
    this.localIp = localIp;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WireguardDetailOpenApiVo wireguardDetailOpenApiVo = (WireguardDetailOpenApiVo) o;
    return Objects.equals(this.id, wireguardDetailOpenApiVo.id) &&
        Objects.equals(this.name, wireguardDetailOpenApiVo.name) &&
        Objects.equals(this.status, wireguardDetailOpenApiVo.status) &&
        Objects.equals(this.mtu, wireguardDetailOpenApiVo.mtu) &&
        Objects.equals(this.listenPort, wireguardDetailOpenApiVo.listenPort) &&
        Objects.equals(this.privateKey, wireguardDetailOpenApiVo.privateKey) &&
        Objects.equals(this.publicKey, wireguardDetailOpenApiVo.publicKey) &&
        Objects.equals(this.localIp, wireguardDetailOpenApiVo.localIp);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, status, mtu, listenPort, privateKey, publicKey, localIp);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WireguardDetailOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    mtu: ").append(toIndentedString(mtu)).append("\n");
    sb.append("    listenPort: ").append(toIndentedString(listenPort)).append("\n");
    sb.append("    privateKey: ").append(toIndentedString(privateKey)).append("\n");
    sb.append("    publicKey: ").append(toIndentedString(publicKey)).append("\n");
    sb.append("    localIp: ").append(toIndentedString(localIp)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

